idf_component_register(
    SRCS "mic_broker.c" "seq_validator.c" "melody_validator.c" "qr_puzzle.c" "sound_puzzle.c"
         "local_puzzles.c"
    INCLUDE_DIRS "include" "."
    REQUIRES puzzle_state
    PRIV_REQUIRES driver
)
